  function [dt, err, errmsg] = OsiGetDT()
%
% OsiGetDT.m				Get planned integration time step in OLGA server.   
%
% The calling syntax is:
%
%   dt = OsiGetDT;
%
% Copyright (c) 1998 by ABB Corporate Research.
% All Rights Reserved.
%
% $Revision: 1.0, 5/10-1998 by Kjetil Havre$ 

  if nargin ~= 0
     errmsg = 'OsiGetDT usage: [dt, err, errmsg] = OsiGetDT;';
     disp(errmsg);
     err = -1;
     return
  end

  [err, msg, ibody, dt, errmsg] = osmi(1, 'OLGA_GET_STEP', [], [], []);

  
