function [err,errmsg] = OsiSetProfileVar(vardesc)
%
% OsiSetProfileVar.m		Subscribe for pipeline profile results. 
%
% The calling syntax is:
%
%   err = OsiSetProfileVar(vardesc);
%
% Input:
%   VARDESC: String identifying the variables to be reported from olga. 
%
% Copyright (c) 1998 by ABB Corporate Research.
% All Rights Reserved.
%
% $Revision: 1.0, 6/10-1998 by Kjetil Havre$ 

  global OsiIBODYsetProfileVar

  if nargin ~= 1 
     errmsg = 'OsiSetProfileVar usage: [err, errmsg] = OsiSetProfileVar(vardesc)';
     disp(errmsg);
     err = -1;
     return
  end

  [err, msg, ibody, rbody, errmsg] = osmi(1, 'OLGA_OUTPR_NAMES', [], [], vardesc);

  OsiIBODYsetProfileVar = ibody;




































































































































