function [err,errmsg] = OsiStart(filename,ConNo)
%
% OsiStart.m				Load input file and initialize. 
%         					This function is equivalent to:
%         						OsiLoadInput(filename);
%      							OsiInitialize;  
%
% The calling syntax is:
%
%   err = OsiStart(filename,ConNo);
%
% Input:
%   FILENAME: String identifying the OLGA input file.
%   ConNo:    Connnection Number (default: ConNo=1)
%
% Copyright (c) 1998 by ABB Corporate Research.
% All Rights Reserved.
%
% $Revision: 1.0, 5/10-1998 by Kjetil Havre$
% $Revision: 1.1, 20/7-2005 by Espen Storkaas, ABB-EOP, included user-defined connection number$ 

  if nargin==1
      ConNo=1;
  end
  if (nargin>2)|(nargin==0) 
     errmsg = 'OsiStart usage: [err, errmsg] = OsiStart(filename)';
     disp(errmsg);
     err = -1;
     return
  end

  [err, msg, ibody, rbody, errmsg] = osmi(ConNo, 'OLGA_START', [], [], filename);

  




































































































































